Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.msgflash.com/llms.txt

Use this file to discover all available pages before exploring further.

Endpoint

GET /api/v1/messages/{id}

Parameters path

NomTypeRequiredDescription
idUUIDyesID du message

Success response 200

{
  "data": {
    "id": "msg_uuid",
    "userId": "user_uuid",
    "instanceId": "inst_uuid",
    "contactId": null,
    "campaignId": null,
    "direction": "outbound",
    "type": "text",
    "from": null,
    "to": "+33612345678",
    "body": "Hello",
    "mediaUrl": null,
    "status": "delivered",
    "error": null,
    "meta": {
      "providerResult": {},
      "workerSafety": {
        "decision": "allow",
        "riskLevel": "low",
        "state": "stable",
        "score": 72
      }
    },
    "providerMessageId": "BAE5D1A2B3C4D5E6",
    "createdAt": "2026-04-01T10:00:00.000Z",
    "updatedAt": "2026-04-01T10:01:10.000Z"
  }
}

Common errors

HTTPCodeWhen
404NOT_FOUNDMessage not found